at_3.1.18-2ubuntu1_amd64.deb


Advertisement

Description

at - Delayed job execution and batch processing

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package name at
Package version 3.1.18
Package release 2ubuntu1
Package architecture amd64
Package type deb
Installed size 150 B
Download size 36.87 KB
Official Mirror archive.ubuntu.com
At and batch read shell commands from standard input
storing them as a job to be scheduled for execution in the
future.
Use
at    to run the job at a specified time
batch to run the job when system load levels permit

Alternatives

Package Version Architecture Repository
at_3.1.18-2ubuntu1_i386.deb 3.1.18 i386 Ubuntu Main
at - - -

Requires

Name Value
init-system-helpers >= 1.18~
libc6 >= 2.14
libpam-runtime >= 1.0.1-11
libpam0g >= 0.99.7.1
libselinux1 >= 2.1.9
lsb-base >= 3.2-14

Download

Type URL
Binary Package at_3.1.18-2ubuntu1_amd64.deb
Source Package at

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install at deb package:
    # sudo apt-get install at

Files

Path
/etc/at.deny
/etc/init.d/atd
/etc/pam.d/atd
/lib/systemd/system/atd.service
/usr/bin/at
/usr/bin/atq
/usr/bin/atrm
/usr/bin/batch
/usr/sbin/atd
/usr/share/doc/at/Problems
/usr/share/doc/at/README
/usr/share/doc/at/TODO.Debian
/usr/share/doc/at/changelog.Debian.gz
/usr/share/doc/at/copyright
/usr/share/doc/at/timespec
/usr/share/lintian/overrides/at
/usr/share/man/man1/at.1.gz
/usr/share/man/man1/atq.1.gz
/usr/share/man/man1/atrm.1.gz
/usr/share/man/man1/batch.1.gz
/usr/share/man/man5/at.allow.5.gz
/usr/share/man/man5/at.deny.5.gz
/usr/share/man/man8/atd.8.gz

Changelog

2016-01-14 - Chris J Arges <chris.j.arges@canonical.com>
at (3.1.18-2ubuntu1) xenial; urgency=low
* Merge from Debian unstable.  Remaining changes:
- pam.conf:
Explicitly state that ~/.pam_environment shall be read, and move
the pam_env call to the end so it's read also when $HOME is
encrypted.
- Suggest an MTA rather than Recommending one.
2015-12-25 - Laurent Bigonville <bigon@debian.org>
at (3.1.18-2) unstable; urgency=medium
* Team upload.
* debian/rules: Do not pass the --without-selinux flag on !linux
architectures, the configure is a little bit fragile and do not cope well
with it. This should fix the FTBFS on these architectures.
2015-12-21 - Laurent Bigonville <bigon@debian.org>
at (3.1.18-1) unstable; urgency=low
* Team Upload.
[ Jose M Calhariz ]
* New maintainer (Closes: #675322).
* Thank you Ansgar Burchardt for maintaining at at Debian.
* One depend by line for easier diffs and changes.
* Add lintian overrides for secure files and directories.
* Bump standards version to 3.9.6, no changes needed.
* Upload to experimental because of GCC 5 transition.
* Current todo list.
* Apply patch for reproducible builds, thanks Valentin Lorentz,
(Closes: #793996).
* New release 3.1.17
* Document behaviour when using past time, thanks Kelly Price
(Closes: #639900).
* Makefile.in: On distclean remove at.allow.5, auto generated file.
* New release 3.1.18
* Add SELinux support to run jobs in the proper domain (Closes: #510466).
[ Laurent Bigonville ]
* Do not try to build SELinux support on !linux architectures
2015-01-10 - Chris J Arges <chris.j.arges@ubuntu.com>
at (3.1.16-1ubuntu1) vivid; urgency=low
* Merge from Debian unstable.  Remaining changes:
- pam.conf:
Explicitly state that ~/.pam_environment shall be read, and move
the pam_env call to the end so it's read also when $HOME is
encrypted.
- Replace init script with Upstart job.
- Suggest an MTA rather than Recommending one.
2014-09-30 - Ansgar Burchardt <ansgar@debian.org>
at (3.1.16-1) unstable; urgency=medium
* New upstream release.
2014-08-10 - Ansgar Burchardt <ansgar@debian.org>
at (3.1.15-1) unstable; urgency=medium
* New upstream release:
+ pam.conf: require pam_loginuid.so (Closes: #677442)
* Bumped Standards-Version to 3.9.5 (no changes).
2014-05-28 - Dimitri John Ledkov <xnox@ubuntu.com>
at (3.1.14-1ubuntu2) utopic; urgency=high
* No change rebuild against new dh_installinit, to call update-rc.d at
postinst.
2013-10-21 - Dmitrijs Ledkovs <xnox@ubuntu.com>
at (3.1.14-1ubuntu1) trusty; urgency=low
* Merge from Debian:
- pam.conf:
Explicitly state that ~/.pam_environment shall be read, and move
the pam_env call to the end so it's read also when $HOME is
encrypted.
- Replace init script with Upstart job.
- Suggest an MTA rather than Recommending one.
2013-09-08 - Ansgar Burchardt <ansgar@debian.org>
at (3.1.14-1) unstable; urgency=low
* New upstream release:
+ No longer try to compile and run a trivial C program. (Closes: #632301)
+ Add systemd service file. (Closes: #639634)
[ Prach Pongpanich ]
* Bump debhelper Build-Depends to 9.
* Bump Standards-Version to 3.9.4.
* debian/control: Use canonical URI in Vcs-* fields.
* Update copyright to format 1.0.
[ Ansgar Burchardt ]
* Install systemd service file.
2013-02-14 - Gunnar Hjalmarsson <gunnarhj@ubuntu.com>
at (3.1.13-2ubuntu2) raring; urgency=low
* pam.conf:
Explicitly state that ~/.pam_environment shall be read, and move
the pam_env call to the end so it's read also when $HOME is
encrypted (LP: #952185).

See Also

Package Description
attr_2.4.47-2_amd64.deb Utilities for manipulating filesystem extended attributes
auctex_11.88-1.1ubuntu1_all.deb integrated document editing environment for TeX etc
auditd_2.4.5-1ubuntu2_amd64.deb User space tools for security auditing
augeas-doc_1.4.0-0ubuntu1_all.deb Augeas lenses documentation
augeas-lenses_1.4.0-0ubuntu1_all.deb Set of lenses needed by libaugeas0 to parse config files
augeas-tools_1.4.0-0ubuntu1_amd64.deb Augeas command line tools
authbind_2.1.1+nmu1_amd64.deb Allows non-root programs to bind() to low ports
autoconf-doc_2.69-9_all.deb automatic configure script builder documentation
autoconf_2.69-9_all.deb automatic configure script builder
autodep8_0.3_all.deb DEP-8 test control file generator
autofs5_5.1.1-1ubuntu3_all.deb transitional dummy package for 'autofs'
autofs_5.1.1-1ubuntu3_amd64.deb kernel-based automounter for Linux
autogen-doc_5.18.7-3_all.deb automated text file generator - documentation
automake_1.15-4ubuntu1_all.deb Tool for generating GNU Standards-compliant Makefiles
autopkgtest_3.20.4_all.deb automatic as-installed testing for Debian packages
Advertisement
Advertisement